<template>
  <svg fill="none" width="40" height="25" @click="onClick" :style="{ cursor: 'pointer' }">
    <circle v-if="checked" cx="20" cy="12.5" r="5" :fill="color" />
    <circle cx="20" cy="12.5" r="10" :stroke="color" stroke-width="3" />
  </svg>
</template>

<script>
export default {
  props: {
    color: {
      type: String,
      default: '#212121'
    },
    handleClick: Function
  },
  data() {
    return {
      checked: true
    };
  },
  methods: {
    onClick() {
      if (this.handleClick) {
        this.handleClick();
      }

      this.checked = !this.checked;
    }
  }
};
</script>
